Loading...
Searching...
No Matches
StoreFactors Class Reference

class to store factors that get removed during char set computation More...

`#include <cfCharSetsUtil.h>`

## Public Member Functions

StoreFactors & | operator= (const StoreFactors &value)
StoreFactors & | operator= (const StoreFactors &value)
StoreFactors & | operator= (const StoreFactors &value)

## Data Fields

CFList | FS1
| factors that were removed
CFList | FS2
| candidate factors that might get removed

## Detailed Description

class to store factors that get removed during char set computation

Definition at line 28 of file cfCharSetsUtil.h.

## Member Function Documentation

## operator=() [1/3]

StoreFactors & StoreFactors::operator= | ( | const StoreFactors & | value | ) |

inline

Definition at line 33 of file cfCharSetsUtil.h.

{
if ( this != &value )
{
FS1 = value.FS1;
FS2 = value.FS2;
}
return *this;
}
StoreFactors::FS2
CFList FS2
candidate factors that might get removed
Definition cfCharSetsUtil.h:32
StoreFactors::FS1
CFList FS1
factors that were removed
Definition cfCharSetsUtil.h:31

## operator=() [2/3]

StoreFactors & StoreFactors::operator= | ( | const StoreFactors & | value | ) |

inline

Definition at line 1206 of file factory.h.

{
if ( this != &value )
{
FS1 = value.FS1;
FS2 = value.FS2;
}
return *this;
}

## operator=() [3/3]

StoreFactors & StoreFactors::operator= | ( | const StoreFactors & | value | ) |

inline

Definition at line 1206 of file factory.h.

{
if ( this != &value )
{
FS1 = value.FS1;
FS2 = value.FS2;
}
return *this;
}

## Field Documentation

## FS1

CFList StoreFactors::FS1

factors that were removed

Definition at line 31 of file cfCharSetsUtil.h.

## FS2

CFList StoreFactors::FS2

candidate factors that might get removed

Definition at line 32 of file cfCharSetsUtil.h.

The documentation for this class was generated from the following files:

- factory/cfCharSetsUtil.h
- factory/factory.h
- factory/include/factory/factory.h